// SrvrItem.h : interface of the CTestProgSrvrItem class
//

#pragma once

class CTestProgSrvrItem : public COleServerItem
{
	DECLARE_DYNAMIC(CTestProgSrvrItem)

// Constructors
public:
	CTestProgSrvrItem(CTestProgDoc* pContainerDoc);

// Attributes
	CTestProgDoc* GetDocument() const
		{ return reinterpret_cast<CTestProgDoc*>(COleServerItem::GetDocument()); }

// Overrides
	public:
	virtual BOOL OnDraw(CDC* pDC, CSize& rSize);
	virtual BOOL OnGetExtent(DVASPECT dwDrawAspect, CSize& rSize);

// Implementation
public:
	~CTestProgSrvrItem();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	virtual void Serialize(CArchive& ar);   // overridden for document i/o
};

